Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007106OCamlplatform support (windows, cross-compilation, etc)public2015-12-23 12:162016-01-27 15:42
Reporterdra 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0007106: Warnings emitted by the compiler may contain \r\r\n on Windows
DescriptionThe text of certain warnings (e.g. from the @@@ocaml.deprecated attribute) may contain newline characters copied directly from the source file. If the source file has Windows line-endings, these will be preserved as \r\n.

The default formatters for displaying warnings in the compiler have text translation enabled which means that the \n characters are mapped to \r\n resulting in \r\r\n being written to the console.

While this makes no visible difference on the console, it is a problem if the output is being recorded (in the testsuite).
Steps To ReproduceOn a Windows system, compile OCaml trunk
Then run make within testsuite/tests/warnings and the deprecated_module_use test will fail.
deprecated_module_use.result will contain extra \r characters at the end of lines 3, 4 and 5.
Additional InformationBe careful if using a Git clone made before 12 December 2015 that line endings are correct (commit d8b7a4) as Git doesn't automatically correct these. The best course is to create a fresh clone of trunk.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015188)
dra (developer)
2015-12-23 12:23

https://github.com/ocaml/ocaml/pull/370 [^]
(0015278)
doligez (administrator)
2016-01-27 15:42

Fixed in trunk (commit 6e6cabfe1b33bc098aee9d3d1b4e215e16fb8e1e).

Thanks for the report and patch.

- Issue History
Date Modified Username Field Change
2015-12-23 12:16 dra New Issue
2015-12-23 12:23 dra Note Added: 0015188
2016-01-27 15:42 doligez Note Added: 0015278
2016-01-27 15:42 doligez Status new => closed
2016-01-27 15:42 doligez Resolution open => fixed
2016-01-27 15:42 doligez Fixed in Version => 4.03.0+dev / +beta1
2016-01-27 15:42 doligez Target Version => 4.03.0+dev / +beta1
2017-02-23 16:46 doligez Category OCaml windows => platform support (windows, etc)
2017-02-23 17:16 doligez Category platform support (windows, etc) => platform support (windows, cross-compilation, etc)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker